Bug 241393 - yum doesn't report a reasonable error when missing yum-metadata-parser
yum doesn't report a reasonable error when missing yum-metadata-parser
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: James Antill
Depends On:
  Show dependency treegraph
Reported: 2007-05-25 13:24 EDT by Mark Rosenstand
Modified: 2014-01-21 17:58 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-03 16:30:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Rosenstand 2007-05-25 13:24:34 EDT
Description of problem:
When running yum without yum-metadata-parser installed, it doesn't bail out with
a proper error message:
# yum update
Setting up Update Process
development               100% |=========================| 2.1 kB    00:00     
primary.sqlite.bz2        100% |=========================| 3.8 MB    00:20     
Warning: cache file is version 10, we need 10, will regenerate
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
  File "/usr/share/yum-cli/yummain.py", line 94, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 264, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd,
  File "/usr/share/yum-cli/yumcommands.py", line 150, in doCommand
    return base.updatePkgs(extcmds)
  File "/usr/share/yum-cli/cli.py", line 555, in updatePkgs
    updates = self.up.getUpdatesTuples()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 514, in <lambda>
    up = property(fget=lambda self: self._getUpdates(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 413, in _getUpdates
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 501, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 382, in _getSacks
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 206, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 160, in populate
    dobj = repo.cacheHandler.open_database(db_un_fn)
  File "/usr/lib/python2.5/site-packages/yum/sqlitecache.py", line 82, in
    (csum,db) = self.loadCache(filename)
  File "/usr/lib/python2.5/site-packages/yum/sqlitecache.py", line 70, in loadCache
    raise sqlite.DatabaseError, "Older version of yum sqlite"
sqlite3.DatabaseError: Older version of yum sqlite

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Install yum from sources on any Linux-distribution.

Additional info:
This doesn't affect Fedora (at least not systems that lack a crazy sysadmin) but
Seth asked me to file it anyway.
Comment 1 Seth Vidal 2007-08-03 16:30:19 EDT
I'm pretty sure this goes away with a patch james recently submitted closing as

Note You need to log in before you can comment on or make changes to this bug.